Installieren von ODBC-KomponentenInstalling ODBC Components

Hinweis

Ab Windows XP und Windows Server 2003, ist ODBC in das Windows-Betriebssystem enthalten.Starting with Windows XP and Windows Server 2003, ODBC is included in the Windows operation system. Sie sollten nur explizit ODBC in früheren Versionen von Windows installieren.You should only explicitly install ODBC on earlier versions of Windows.

In diesem Abschnitt wird beschrieben, wie die ODBC-Komponenten installiert und entfernt werden.This section describes how ODBC components are installed and removed. Da Treiberentwickler immer eine ODBC-Komponente (ihre Treiber) installieren, müssen sie diesen Abschnitt zu lesen.Because driver developers always install an ODBC component (their driver), they need to read this section. Entwickler müssen diesen Abschnitt zu lesen, nur dann, wenn sie ODBC-Komponenten mit ihren Anwendungen ausgeliefert werden.Application developers need to read this section only if they will ship ODBC components with their applications. ODBC-Komponenten enthalten, der Treiber-Manager, Treiber, Konvertierer, das Installationsprogramm-DLL, die Cursorbibliothek und alle zugehörigen Dateien.ODBC components include the Driver Manager, drivers, translators, the installer DLL, the cursor library, and any related files. Für die Zwecke dieses Artikels werden die ODBC-Anwendungen, die ODBC-Komponenten werden nicht berücksichtigt.For the purposes of this section, ODBC applications are not considered to be ODBC components.

Hinweis

Dieser Abschnitt bezieht sich auf Microsoft Windows-Plattformen.This section is specific to Microsoft Windows platforms. Wie die ODBC-Komponenten auf anderen Plattformen installiert werden, ist plattformspezifisch.How ODBC components are installed on other platforms is platform-specific.

ODBC-Komponenten sind installiert und entfernt auf Basis von Komponente, nicht in einer Datei-für-Datei-Basis.ODBC components are installed and removed on a component-by-component basis, not a file-by-file basis. Z. B. wenn Übersetzer des Übersetzers selbst und eine Anzahl von Datendateien besteht, diese Dateien sind installiert und als Gruppe entfernt; Sie müssen nicht installiert und pro Datei-für-Datei entfernt.For example, if a translator consists of the translator itself and a number of data files, these files are installed and removed as a group; they must not be installed and removed on a file-by-file basis. Der Grund dafür ist, um sicherzustellen, dass Komponenten nur auf dem System vorhanden sind.The reason for this is to make sure that only complete components exist on the system.

Rahmen installieren und Entfernen von Komponenten werden ODBC-Komponenten die folgenden so definiert:For purposes of installing and removing components, the following are defined to be ODBC components:

  • Core-Komponenten.Core components. Der Treiber-Manager, Cursor-Bibliothek, Installationsprogramm-DLL und alle anderen bezogene Dateien bilden die wichtigsten Komponenten und installiert und als Gruppe entfernt werden müssen.The Driver Manager, cursor library, installer DLL, and any other related files make up the core components and must be installed and removed as a group.

  • Treiber.Drivers. Jeder Treiber ist eine separate Komponente.Each driver is a separate component.

  • Übersetzer.Translators. Jede Translator ist eine separate Komponente.Each translator is a separate component.

Mit der Unterstützung von Unicode in ODBC 3.5 und höher muss einige Überlegungen zur Verwendung von OLE DB-Komponenten mithilfe von ODBC zugewiesen werden.With the support of Unicode in ODBC 3.5 and later, some consideration must be given to using OLE DB components with ODBC. Version 1.1 des OLE DB-Anbieter für ODBC wurde bestimmte Unicode-Spezifikationen in ODBC 3.0 geschrieben.The 1.1 version of the OLE DB Provider for ODBC was written to specific Unicode specifications within ODBC 3.0. Da diese Spezifikationen in ODBC 3.5 geändert wurde, ist es notwendig, Version 1.5 oder höher des Anbieters zu haben, bei Verwendung von ODBC 3.5 und höher.Because these specifications changed in ODBC 3.5, it is necessary to have version 1.5 or later of the provider when using ODBC 3.5 and later. Dieser Abschnitt enthält die folgenden Themen.This section contains the following topics.